/*
 * generated by Xtext 2.11.0
 */
package com.mncml.implementation.pogo.dsl.ide.contentassist.antlr;

import com.google.inject.Inject;
import com.mncml.implementation.pogo.dsl.ide.contentassist.antlr.internal.InternalPogoDslParser;
import com.mncml.implementation.pogo.dsl.services.PogoDslGrammarAccess;
import java.util.HashMap;
import java.util.Map;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ide.editor.contentassist.antlr.AbstractContentAssistParser;

public class PogoDslParser extends AbstractContentAssistParser {

	@Inject
	private PogoDslGrammarAccess grammarAccess;

	private Map<AbstractElement, String> nameMappings;

	@Override
	protected InternalPogoDslParser createParser() {
		InternalPogoDslParser result = new InternalPogoDslParser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}

	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getPropTypeAccess().getAlternatives(), "rule__PropType__Alternatives");
					put(grammarAccess.getTypeAccess().getAlternatives(), "rule__Type__Alternatives");
					put(grammarAccess.getEStringAccess().getAlternatives(), "rule__EString__Alternatives");
					put(grammarAccess.getEBooleanAccess().getAlternatives(), "rule__EBoolean__Alternatives");
					put(grammarAccess.getClassDescriptionAccess().getAlternatives_9(), "rule__ClassDescription__Alternatives_9");
					put(grammarAccess.getClassDescriptionAccess().getAlternatives_10(), "rule__ClassDescription__Alternatives_10");
					put(grammarAccess.getClassDescriptionAccess().getAlternatives_11(), "rule__ClassDescription__Alternatives_11");
					put(grammarAccess.getClassDescriptionAccess().getAlternatives_12(), "rule__ClassDescription__Alternatives_12");
					put(grammarAccess.getClassDescriptionAccess().getAlternatives_13(), "rule__ClassDescription__Alternatives_13");
					put(grammarAccess.getCommandAccess().getAlternatives_6(), "rule__Command__Alternatives_6");
					put(grammarAccess.getPipeAccess().getAlternatives_7(), "rule__Pipe__Alternatives_7");
					put(grammarAccess.getLanguageAccess().getAlternatives(), "rule__Language__Alternatives");
					put(grammarAccess.getDisplayLevelAccess().getAlternatives(), "rule__DisplayLevel__Alternatives");
					put(grammarAccess.getAttrTypeAccess().getAlternatives(), "rule__AttrType__Alternatives");
					put(grammarAccess.getRW_TypeAccess().getAlternatives(), "rule__RW_Type__Alternatives");
					put(grammarAccess.getBooleanAccess().getAlternatives(), "rule__Boolean__Alternatives");
					put(grammarAccess.getPogoSystemAccess().getGroup(), "rule__PogoSystem__Group__0");
					put(grammarAccess.getPogoSystemAccess().getGroup_3(), "rule__PogoSystem__Group_3__0");
					put(grammarAccess.getPogoSystemAccess().getGroup_3_3(), "rule__PogoSystem__Group_3_3__0");
					put(grammarAccess.getPogoSystemAccess().getGroup_4(), "rule__PogoSystem__Group_4__0");
					put(grammarAccess.getPogoSystemAccess().getGroup_4_3(), "rule__PogoSystem__Group_4_3__0");
					put(grammarAccess.getPogoSystemAccess().getGroup_5(), "rule__PogoSystem__Group_5__0");
					put(grammarAccess.getPogoSystemAccess().getGroup_5_3(), "rule__PogoSystem__Group_5_3__0");
					put(grammarAccess.getImportAccess().getGroup(), "rule__Import__Group__0");
					put(grammarAccess.getImportAccess().getGroup_3(), "rule__Import__Group_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup(), "rule__PogoDeviceClass__Group__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_6(), "rule__PogoDeviceClass__Group_6__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_7(), "rule__PogoDeviceClass__Group_7__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_8(), "rule__PogoDeviceClass__Group_8__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_9(), "rule__PogoDeviceClass__Group_9__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_10(), "rule__PogoDeviceClass__Group_10__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_11(), "rule__PogoDeviceClass__Group_11__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_11_3(), "rule__PogoDeviceClass__Group_11_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_12(), "rule__PogoDeviceClass__Group_12__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_12_3(), "rule__PogoDeviceClass__Group_12_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_13(), "rule__PogoDeviceClass__Group_13__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_13_3(), "rule__PogoDeviceClass__Group_13_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_14(), "rule__PogoDeviceClass__Group_14__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_14_3(), "rule__PogoDeviceClass__Group_14_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_15(), "rule__PogoDeviceClass__Group_15__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_15_3(), "rule__PogoDeviceClass__Group_15_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_16(), "rule__PogoDeviceClass__Group_16__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_16_3(), "rule__PogoDeviceClass__Group_16_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_17(), "rule__PogoDeviceClass__Group_17__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_17_3(), "rule__PogoDeviceClass__Group_17_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_18(), "rule__PogoDeviceClass__Group_18__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_18_3(), "rule__PogoDeviceClass__Group_18_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_19(), "rule__PogoDeviceClass__Group_19__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_19_3(), "rule__PogoDeviceClass__Group_19_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_20(), "rule__PogoDeviceClass__Group_20__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_21(), "rule__PogoDeviceClass__Group_21__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_21_3(), "rule__PogoDeviceClass__Group_21_3__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_22(), "rule__PogoDeviceClass__Group_22__0");
					put(grammarAccess.getPogoDeviceClassAccess().getGroup_22_3(), "rule__PogoDeviceClass__Group_22_3__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup(), "rule__QualifiedName__Group__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup_1(), "rule__QualifiedName__Group_1__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup(), "rule__PogoMultiClasses__Group__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_4(), "rule__PogoMultiClasses__Group_4__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_5(), "rule__PogoMultiClasses__Group_5__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_6(), "rule__PogoMultiClasses__Group_6__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_7(), "rule__PogoMultiClasses__Group_7__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_8(), "rule__PogoMultiClasses__Group_8__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_9(), "rule__PogoMultiClasses__Group_9__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_10(), "rule__PogoMultiClasses__Group_10__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_10_3(), "rule__PogoMultiClasses__Group_10_3__0");
					put(grammarAccess.getPogoMultiClassesAccess().getGroup_11(), "rule__PogoMultiClasses__Group_11__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup(), "rule__ClassDescription__Group__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_3(), "rule__ClassDescription__Group_3__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_4(), "rule__ClassDescription__Group_4__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_5(), "rule__ClassDescription__Group_5__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_6(), "rule__ClassDescription__Group_6__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_7(), "rule__ClassDescription__Group_7__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_8(), "rule__ClassDescription__Group_8__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_9_0(), "rule__ClassDescription__Group_9_0__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_10_0(), "rule__ClassDescription__Group_10_0__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_11_0(), "rule__ClassDescription__Group_11_0__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_12_0(), "rule__ClassDescription__Group_12_0__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_13_0(), "rule__ClassDescription__Group_13_0__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_14(), "rule__ClassDescription__Group_14__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_14_3(), "rule__ClassDescription__Group_14_3__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_15(), "rule__ClassDescription__Group_15__0");
					put(grammarAccess.getClassDescriptionAccess().getGroup_16(), "rule__ClassDescription__Group_16__0");
					put(grammarAccess.getPropertyAccess().getGroup(), "rule__Property__Group__0");
					put(grammarAccess.getPropertyAccess().getGroup_4(), "rule__Property__Group_4__0");
					put(grammarAccess.getPropertyAccess().getGroup_5(), "rule__Property__Group_5__0");
					put(grammarAccess.getPropertyAccess().getGroup_6(), "rule__Property__Group_6__0");
					put(grammarAccess.getPropertyAccess().getGroup_6_3(), "rule__Property__Group_6_3__0");
					put(grammarAccess.getPropertyAccess().getGroup_7(), "rule__Property__Group_7__0");
					put(grammarAccess.getPropertyAccess().getGroup_8(), "rule__Property__Group_8__0");
					put(grammarAccess.getCommandAccess().getGroup(), "rule__Command__Group__0");
					put(grammarAccess.getCommandAccess().getGroup_4(), "rule__Command__Group_4__0");
					put(grammarAccess.getCommandAccess().getGroup_5(), "rule__Command__Group_5__0");
					put(grammarAccess.getCommandAccess().getGroup_6_0(), "rule__Command__Group_6_0__0");
					put(grammarAccess.getCommandAccess().getGroup_7(), "rule__Command__Group_7__0");
					put(grammarAccess.getCommandAccess().getGroup_8(), "rule__Command__Group_8__0");
					put(grammarAccess.getCommandAccess().getGroup_9(), "rule__Command__Group_9__0");
					put(grammarAccess.getCommandAccess().getGroup_9_3(), "rule__Command__Group_9_3__0");
					put(grammarAccess.getCommandAccess().getGroup_10(), "rule__Command__Group_10__0");
					put(grammarAccess.getCommandAccess().getGroup_11(), "rule__Command__Group_11__0");
					put(grammarAccess.getCommandAccess().getGroup_12(), "rule__Command__Group_12__0");
					put(grammarAccess.getAttributeAccess().getGroup(), "rule__Attribute__Group__0");
					put(grammarAccess.getAttributeAccess().getGroup_4(), "rule__Attribute__Group_4__0");
					put(grammarAccess.getAttributeAccess().getGroup_5(), "rule__Attribute__Group_5__0");
					put(grammarAccess.getAttributeAccess().getGroup_6(), "rule__Attribute__Group_6__0");
					put(grammarAccess.getAttributeAccess().getGroup_7(), "rule__Attribute__Group_7__0");
					put(grammarAccess.getAttributeAccess().getGroup_8(), "rule__Attribute__Group_8__0");
					put(grammarAccess.getAttributeAccess().getGroup_9(), "rule__Attribute__Group_9__0");
					put(grammarAccess.getAttributeAccess().getGroup_10(), "rule__Attribute__Group_10__0");
					put(grammarAccess.getAttributeAccess().getGroup_11(), "rule__Attribute__Group_11__0");
					put(grammarAccess.getAttributeAccess().getGroup_12(), "rule__Attribute__Group_12__0");
					put(grammarAccess.getAttributeAccess().getGroup_13(), "rule__Attribute__Group_13__0");
					put(grammarAccess.getAttributeAccess().getGroup_14(), "rule__Attribute__Group_14__0");
					put(grammarAccess.getAttributeAccess().getGroup_15(), "rule__Attribute__Group_15__0");
					put(grammarAccess.getAttributeAccess().getGroup_15_3(), "rule__Attribute__Group_15_3__0");
					put(grammarAccess.getAttributeAccess().getGroup_16(), "rule__Attribute__Group_16__0");
					put(grammarAccess.getAttributeAccess().getGroup_16_3(), "rule__Attribute__Group_16_3__0");
					put(grammarAccess.getAttributeAccess().getGroup_17(), "rule__Attribute__Group_17__0");
					put(grammarAccess.getAttributeAccess().getGroup_17_3(), "rule__Attribute__Group_17_3__0");
					put(grammarAccess.getAttributeAccess().getGroup_18(), "rule__Attribute__Group_18__0");
					put(grammarAccess.getAttributeAccess().getGroup_19(), "rule__Attribute__Group_19__0");
					put(grammarAccess.getAttributeAccess().getGroup_20(), "rule__Attribute__Group_20__0");
					put(grammarAccess.getAttributeAccess().getGroup_21(), "rule__Attribute__Group_21__0");
					put(grammarAccess.getAttributeAccess().getGroup_22(), "rule__Attribute__Group_22__0");
					put(grammarAccess.getAttributeAccess().getGroup_23(), "rule__Attribute__Group_23__0");
					put(grammarAccess.getAttributeAccess().getGroup_24(), "rule__Attribute__Group_24__0");
					put(grammarAccess.getAttributeAccess().getGroup_25(), "rule__Attribute__Group_25__0");
					put(grammarAccess.getForwardedAttributeAccess().getGroup(), "rule__ForwardedAttribute__Group__0");
					put(grammarAccess.getForwardedAttributeAccess().getGroup_4(), "rule__ForwardedAttribute__Group_4__0");
					put(grammarAccess.getForwardedAttributeAccess().getGroup_5(), "rule__ForwardedAttribute__Group_5__0");
					put(grammarAccess.getPipeAccess().getGroup(), "rule__Pipe__Group__0");
					put(grammarAccess.getPipeAccess().getGroup_4(), "rule__Pipe__Group_4__0");
					put(grammarAccess.getPipeAccess().getGroup_5(), "rule__Pipe__Group_5__0");
					put(grammarAccess.getPipeAccess().getGroup_6(), "rule__Pipe__Group_6__0");
					put(grammarAccess.getPipeAccess().getGroup_7_0(), "rule__Pipe__Group_7_0__0");
					put(grammarAccess.getPipeAccess().getGroup_8(), "rule__Pipe__Group_8__0");
					put(grammarAccess.getPipeAccess().getGroup_8_3(), "rule__Pipe__Group_8_3__0");
					put(grammarAccess.getPipeAccess().getGroup_9(), "rule__Pipe__Group_9__0");
					put(grammarAccess.getPipeAccess().getGroup_9_3(), "rule__Pipe__Group_9_3__0");
					put(grammarAccess.getStateAccess().getGroup(), "rule__State__Group__0");
					put(grammarAccess.getStateAccess().getGroup_4(), "rule__State__Group_4__0");
					put(grammarAccess.getStateAccess().getGroup_5(), "rule__State__Group_5__0");
					put(grammarAccess.getPreferencesAccess().getGroup(), "rule__Preferences__Group__0");
					put(grammarAccess.getPreferencesAccess().getGroup_3(), "rule__Preferences__Group_3__0");
					put(grammarAccess.getPreferencesAccess().getGroup_4(), "rule__Preferences__Group_4__0");
					put(grammarAccess.getPreferencesAccess().getGroup_5(), "rule__Preferences__Group_5__0");
					put(grammarAccess.getPreferencesAccess().getGroup_6(), "rule__Preferences__Group_6__0");
					put(grammarAccess.getAdditionalFileAccess().getGroup(), "rule__AdditionalFile__Group__0");
					put(grammarAccess.getAdditionalFileAccess().getGroup_4(), "rule__AdditionalFile__Group_4__0");
					put(grammarAccess.getOverlodedPollPeriodObjectAccess().getGroup(), "rule__OverlodedPollPeriodObject__Group__0");
					put(grammarAccess.getOverlodedPollPeriodObjectAccess().getGroup_4(), "rule__OverlodedPollPeriodObject__Group_4__0");
					put(grammarAccess.getOverlodedPollPeriodObjectAccess().getGroup_5(), "rule__OverlodedPollPeriodObject__Group_5__0");
					put(grammarAccess.getInheritanceAccess().getGroup(), "rule__Inheritance__Group__0");
					put(grammarAccess.getInheritanceAccess().getGroup_3(), "rule__Inheritance__Group_3__0");
					put(grammarAccess.getInheritanceAccess().getGroup_4(), "rule__Inheritance__Group_4__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup(), "rule__ClassIdentification__Group__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_3(), "rule__ClassIdentification__Group_3__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_4(), "rule__ClassIdentification__Group_4__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_5(), "rule__ClassIdentification__Group_5__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_6(), "rule__ClassIdentification__Group_6__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_7(), "rule__ClassIdentification__Group_7__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_8(), "rule__ClassIdentification__Group_8__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_9(), "rule__ClassIdentification__Group_9__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_10(), "rule__ClassIdentification__Group_10__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_11(), "rule__ClassIdentification__Group_11__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_12(), "rule__ClassIdentification__Group_12__0");
					put(grammarAccess.getClassIdentificationAccess().getGroup_12_3(), "rule__ClassIdentification__Group_12_3__0");
					put(grammarAccess.getCommentsAccess().getGroup(), "rule__Comments__Group__0");
					put(grammarAccess.getCommentsAccess().getGroup_3(), "rule__Comments__Group_3__0");
					put(grammarAccess.getPropType_ImplAccess().getGroup(), "rule__PropType_Impl__Group__0");
					put(grammarAccess.getInheritanceStatusAccess().getGroup(), "rule__InheritanceStatus__Group__0");
					put(grammarAccess.getInheritanceStatusAccess().getGroup_3(), "rule__InheritanceStatus__Group_3__0");
					put(grammarAccess.getInheritanceStatusAccess().getGroup_4(), "rule__InheritanceStatus__Group_4__0");
					put(grammarAccess.getInheritanceStatusAccess().getGroup_5(), "rule__InheritanceStatus__Group_5__0");
					put(grammarAccess.getInheritanceStatusAccess().getGroup_6(), "rule__InheritanceStatus__Group_6__0");
					put(grammarAccess.getInheritanceStatusAccess().getGroup_7(), "rule__InheritanceStatus__Group_7__0");
					put(grammarAccess.getSimpleType_ImplAccess().getGroup(), "rule__SimpleType_Impl__Group__0");
					put(grammarAccess.getVectorType_ImplAccess().getGroup(), "rule__VectorType_Impl__Group__0");
					put(grammarAccess.getBooleanTypeAccess().getGroup(), "rule__BooleanType__Group__0");
					put(grammarAccess.getShortTypeAccess().getGroup(), "rule__ShortType__Group__0");
					put(grammarAccess.getUShortTypeAccess().getGroup(), "rule__UShortType__Group__0");
					put(grammarAccess.getIntTypeAccess().getGroup(), "rule__IntType__Group__0");
					put(grammarAccess.getUIntTypeAccess().getGroup(), "rule__UIntType__Group__0");
					put(grammarAccess.getFloatTypeAccess().getGroup(), "rule__FloatType__Group__0");
					put(grammarAccess.getDoubleTypeAccess().getGroup(), "rule__DoubleType__Group__0");
					put(grammarAccess.getStringTypeAccess().getGroup(), "rule__StringType__Group__0");
					put(grammarAccess.getShortVectorTypeAccess().getGroup(), "rule__ShortVectorType__Group__0");
					put(grammarAccess.getIntVectorTypeAccess().getGroup(), "rule__IntVectorType__Group__0");
					put(grammarAccess.getFloatVectorTypeAccess().getGroup(), "rule__FloatVectorType__Group__0");
					put(grammarAccess.getDoubleVectorTypeAccess().getGroup(), "rule__DoubleVectorType__Group__0");
					put(grammarAccess.getStringVectorTypeAccess().getGroup(), "rule__StringVectorType__Group__0");
					put(grammarAccess.getArgumentAccess().getGroup(), "rule__Argument__Group__0");
					put(grammarAccess.getArgumentAccess().getGroup_3(), "rule__Argument__Group_3__0");
					put(grammarAccess.getArgumentAccess().getGroup_4(), "rule__Argument__Group_4__0");
					put(grammarAccess.getType_ImplAccess().getGroup(), "rule__Type_Impl__Group__0");
					put(grammarAccess.getVoidTypeAccess().getGroup(), "rule__VoidType__Group__0");
					put(grammarAccess.getCharArrayTypeAccess().getGroup(), "rule__CharArrayType__Group__0");
					put(grammarAccess.getShortArrayTypeAccess().getGroup(), "rule__ShortArrayType__Group__0");
					put(grammarAccess.getUShortArrayTypeAccess().getGroup(), "rule__UShortArrayType__Group__0");
					put(grammarAccess.getIntArrayTypeAccess().getGroup(), "rule__IntArrayType__Group__0");
					put(grammarAccess.getUIntArrayTypeAccess().getGroup(), "rule__UIntArrayType__Group__0");
					put(grammarAccess.getFloatArrayTypeAccess().getGroup(), "rule__FloatArrayType__Group__0");
					put(grammarAccess.getDoubleArrayTypeAccess().getGroup(), "rule__DoubleArrayType__Group__0");
					put(grammarAccess.getStringArrayTypeAccess().getGroup(), "rule__StringArrayType__Group__0");
					put(grammarAccess.getLongStringArrayTypeAccess().getGroup(), "rule__LongStringArrayType__Group__0");
					put(grammarAccess.getDoubleStringArrayTypeAccess().getGroup(), "rule__DoubleStringArrayType__Group__0");
					put(grammarAccess.getStateTypeAccess().getGroup(), "rule__StateType__Group__0");
					put(grammarAccess.getConstStringTypeAccess().getGroup(), "rule__ConstStringType__Group__0");
					put(grammarAccess.getBooleanArrayTypeAccess().getGroup(), "rule__BooleanArrayType__Group__0");
					put(grammarAccess.getUCharTypeAccess().getGroup(), "rule__UCharType__Group__0");
					put(grammarAccess.getLongTypeAccess().getGroup(), "rule__LongType__Group__0");
					put(grammarAccess.getULongTypeAccess().getGroup(), "rule__ULongType__Group__0");
					put(grammarAccess.getLongArrayTypeAccess().getGroup(), "rule__LongArrayType__Group__0");
					put(grammarAccess.getULongArrayTypeAccess().getGroup(), "rule__ULongArrayType__Group__0");
					put(grammarAccess.getDevIntTypeAccess().getGroup(), "rule__DevIntType__Group__0");
					put(grammarAccess.getEncodedTypeAccess().getGroup(), "rule__EncodedType__Group__0");
					put(grammarAccess.getEnumTypeAccess().getGroup(), "rule__EnumType__Group__0");
					put(grammarAccess.getFireEventsAccess().getGroup(), "rule__FireEvents__Group__0");
					put(grammarAccess.getFireEventsAccess().getGroup_3(), "rule__FireEvents__Group_3__0");
					put(grammarAccess.getFireEventsAccess().getGroup_4(), "rule__FireEvents__Group_4__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup(), "rule__AttrProperties__Group__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_3(), "rule__AttrProperties__Group_3__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_4(), "rule__AttrProperties__Group_4__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_5(), "rule__AttrProperties__Group_5__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_6(), "rule__AttrProperties__Group_6__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_7(), "rule__AttrProperties__Group_7__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_8(), "rule__AttrProperties__Group_8__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_9(), "rule__AttrProperties__Group_9__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_10(), "rule__AttrProperties__Group_10__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_11(), "rule__AttrProperties__Group_11__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_12(), "rule__AttrProperties__Group_12__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_13(), "rule__AttrProperties__Group_13__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_14(), "rule__AttrProperties__Group_14__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_15(), "rule__AttrProperties__Group_15__0");
					put(grammarAccess.getAttrPropertiesAccess().getGroup_16(), "rule__AttrProperties__Group_16__0");
					put(grammarAccess.getEventCriteriaAccess().getGroup(), "rule__EventCriteria__Group__0");
					put(grammarAccess.getEventCriteriaAccess().getGroup_3(), "rule__EventCriteria__Group_3__0");
					put(grammarAccess.getEventCriteriaAccess().getGroup_4(), "rule__EventCriteria__Group_4__0");
					put(grammarAccess.getEventCriteriaAccess().getGroup_5(), "rule__EventCriteria__Group_5__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup(), "rule__OneClassSimpleDef__Group__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_3(), "rule__OneClassSimpleDef__Group_3__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_4(), "rule__OneClassSimpleDef__Group_4__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_5(), "rule__OneClassSimpleDef__Group_5__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_6(), "rule__OneClassSimpleDef__Group_6__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_7(), "rule__OneClassSimpleDef__Group_7__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_7_3(), "rule__OneClassSimpleDef__Group_7_3__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_8(), "rule__OneClassSimpleDef__Group_8__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_8_3(), "rule__OneClassSimpleDef__Group_8_3__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_9(), "rule__OneClassSimpleDef__Group_9__0");
					put(grammarAccess.getOneClassSimpleDefAccess().getGroup_9_3(), "rule__OneClassSimpleDef__Group_9_3__0");
					put(grammarAccess.getPogoSystemAccess().getImportsAssignment_3_2(), "rule__PogoSystem__ImportsAssignment_3_2");
					put(grammarAccess.getPogoSystemAccess().getImportsAssignment_3_3_1(), "rule__PogoSystem__ImportsAssignment_3_3_1");
					put(grammarAccess.getPogoSystemAccess().getClassesAssignment_4_2(), "rule__PogoSystem__ClassesAssignment_4_2");
					put(grammarAccess.getPogoSystemAccess().getClassesAssignment_4_3_1(), "rule__PogoSystem__ClassesAssignment_4_3_1");
					put(grammarAccess.getPogoSystemAccess().getMultiClassesAssignment_5_2(), "rule__PogoSystem__MultiClassesAssignment_5_2");
					put(grammarAccess.getPogoSystemAccess().getMultiClassesAssignment_5_3_1(), "rule__PogoSystem__MultiClassesAssignment_5_3_1");
					put(grammarAccess.getImportAccess().getImportURIAssignment_3_1(), "rule__Import__ImportURIAssignment_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getIsAbstractAssignment_1(), "rule__PogoDeviceClass__IsAbstractAssignment_1");
					put(grammarAccess.getPogoDeviceClassAccess().getNameAssignment_4(), "rule__PogoDeviceClass__NameAssignment_4");
					put(grammarAccess.getPogoDeviceClassAccess().getRefferedControlNodeAssignment_6_1(), "rule__PogoDeviceClass__RefferedControlNodeAssignment_6_1");
					put(grammarAccess.getPogoDeviceClassAccess().getPogoRevisionAssignment_7_1(), "rule__PogoDeviceClass__PogoRevisionAssignment_7_1");
					put(grammarAccess.getPogoDeviceClassAccess().getInstituteAssignment_8_1(), "rule__PogoDeviceClass__InstituteAssignment_8_1");
					put(grammarAccess.getPogoDeviceClassAccess().getBaseClassAssignment_9_1(), "rule__PogoDeviceClass__BaseClassAssignment_9_1");
					put(grammarAccess.getPogoDeviceClassAccess().getDescriptionAssignment_10_1(), "rule__PogoDeviceClass__DescriptionAssignment_10_1");
					put(grammarAccess.getPogoDeviceClassAccess().getClassPropertiesAssignment_11_2(), "rule__PogoDeviceClass__ClassPropertiesAssignment_11_2");
					put(grammarAccess.getPogoDeviceClassAccess().getClassPropertiesAssignment_11_3_1(), "rule__PogoDeviceClass__ClassPropertiesAssignment_11_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getDevicePropertiesAssignment_12_2(), "rule__PogoDeviceClass__DevicePropertiesAssignment_12_2");
					put(grammarAccess.getPogoDeviceClassAccess().getDevicePropertiesAssignment_12_3_1(), "rule__PogoDeviceClass__DevicePropertiesAssignment_12_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getCommandsAssignment_13_2(), "rule__PogoDeviceClass__CommandsAssignment_13_2");
					put(grammarAccess.getPogoDeviceClassAccess().getCommandsAssignment_13_3_1(), "rule__PogoDeviceClass__CommandsAssignment_13_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getDynamicCommandsAssignment_14_2(), "rule__PogoDeviceClass__DynamicCommandsAssignment_14_2");
					put(grammarAccess.getPogoDeviceClassAccess().getDynamicCommandsAssignment_14_3_1(), "rule__PogoDeviceClass__DynamicCommandsAssignment_14_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getAttributesAssignment_15_2(), "rule__PogoDeviceClass__AttributesAssignment_15_2");
					put(grammarAccess.getPogoDeviceClassAccess().getAttributesAssignment_15_3_1(), "rule__PogoDeviceClass__AttributesAssignment_15_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getDynamicAttributesAssignment_16_2(), "rule__PogoDeviceClass__DynamicAttributesAssignment_16_2");
					put(grammarAccess.getPogoDeviceClassAccess().getDynamicAttributesAssignment_16_3_1(), "rule__PogoDeviceClass__DynamicAttributesAssignment_16_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getForwardedAttributesAssignment_17_2(), "rule__PogoDeviceClass__ForwardedAttributesAssignment_17_2");
					put(grammarAccess.getPogoDeviceClassAccess().getForwardedAttributesAssignment_17_3_1(), "rule__PogoDeviceClass__ForwardedAttributesAssignment_17_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getPipesAssignment_18_2(), "rule__PogoDeviceClass__PipesAssignment_18_2");
					put(grammarAccess.getPogoDeviceClassAccess().getPipesAssignment_18_3_1(), "rule__PogoDeviceClass__PipesAssignment_18_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getStatesAssignment_19_2(), "rule__PogoDeviceClass__StatesAssignment_19_2");
					put(grammarAccess.getPogoDeviceClassAccess().getStatesAssignment_19_3_1(), "rule__PogoDeviceClass__StatesAssignment_19_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getPreferencesAssignment_20_1(), "rule__PogoDeviceClass__PreferencesAssignment_20_1");
					put(grammarAccess.getPogoDeviceClassAccess().getAdditionalFilesAssignment_21_2(), "rule__PogoDeviceClass__AdditionalFilesAssignment_21_2");
					put(grammarAccess.getPogoDeviceClassAccess().getAdditionalFilesAssignment_21_3_1(), "rule__PogoDeviceClass__AdditionalFilesAssignment_21_3_1");
					put(grammarAccess.getPogoDeviceClassAccess().getOverlodedPollPeriodObjectAssignment_22_2(), "rule__PogoDeviceClass__OverlodedPollPeriodObjectAssignment_22_2");
					put(grammarAccess.getPogoDeviceClassAccess().getOverlodedPollPeriodObjectAssignment_22_3_1(), "rule__PogoDeviceClass__OverlodedPollPeriodObjectAssignment_22_3_1");
					put(grammarAccess.getPogoMultiClassesAccess().getNameAssignment_2(), "rule__PogoMultiClasses__NameAssignment_2");
					put(grammarAccess.getPogoMultiClassesAccess().getPogoRevisionAssignment_4_1(), "rule__PogoMultiClasses__PogoRevisionAssignment_4_1");
					put(grammarAccess.getPogoMultiClassesAccess().getSourcePathAssignment_5_1(), "rule__PogoMultiClasses__SourcePathAssignment_5_1");
					put(grammarAccess.getPogoMultiClassesAccess().getDescriptionAssignment_6_1(), "rule__PogoMultiClasses__DescriptionAssignment_6_1");
					put(grammarAccess.getPogoMultiClassesAccess().getTitleAssignment_7_1(), "rule__PogoMultiClasses__TitleAssignment_7_1");
					put(grammarAccess.getPogoMultiClassesAccess().getLicenseAssignment_8_1(), "rule__PogoMultiClasses__LicenseAssignment_8_1");
					put(grammarAccess.getPogoMultiClassesAccess().getFilestogenerateAssignment_9_1(), "rule__PogoMultiClasses__FilestogenerateAssignment_9_1");
					put(grammarAccess.getPogoMultiClassesAccess().getClassesAssignment_10_2(), "rule__PogoMultiClasses__ClassesAssignment_10_2");
					put(grammarAccess.getPogoMultiClassesAccess().getClassesAssignment_10_3_1(), "rule__PogoMultiClasses__ClassesAssignment_10_3_1");
					put(grammarAccess.getPogoMultiClassesAccess().getPreferencesAssignment_11_1(), "rule__PogoMultiClasses__PreferencesAssignment_11_1");
					put(grammarAccess.getClassDescriptionAccess().getDescriptionAssignment_3_1(), "rule__ClassDescription__DescriptionAssignment_3_1");
					put(grammarAccess.getClassDescriptionAccess().getTitleAssignment_4_1(), "rule__ClassDescription__TitleAssignment_4_1");
					put(grammarAccess.getClassDescriptionAccess().getSourcePathAssignment_5_1(), "rule__ClassDescription__SourcePathAssignment_5_1");
					put(grammarAccess.getClassDescriptionAccess().getLanguageAssignment_6_1(), "rule__ClassDescription__LanguageAssignment_6_1");
					put(grammarAccess.getClassDescriptionAccess().getFilestogenerateAssignment_7_1(), "rule__ClassDescription__FilestogenerateAssignment_7_1");
					put(grammarAccess.getClassDescriptionAccess().getLicenseAssignment_8_1(), "rule__ClassDescription__LicenseAssignment_8_1");
					put(grammarAccess.getClassDescriptionAccess().getHasMandatoryPropertyAssignment_9_0_1(), "rule__ClassDescription__HasMandatoryPropertyAssignment_9_0_1");
					put(grammarAccess.getClassDescriptionAccess().getHasConcretePropertyAssignment_10_0_1(), "rule__ClassDescription__HasConcretePropertyAssignment_10_0_1");
					put(grammarAccess.getClassDescriptionAccess().getHasAbstractCommandAssignment_11_0_1(), "rule__ClassDescription__HasAbstractCommandAssignment_11_0_1");
					put(grammarAccess.getClassDescriptionAccess().getHasAbstractAttributeAssignment_12_0_1(), "rule__ClassDescription__HasAbstractAttributeAssignment_12_0_1");
					put(grammarAccess.getClassDescriptionAccess().getDescriptionHtmlExistsAssignment_13_0_1(), "rule__ClassDescription__DescriptionHtmlExistsAssignment_13_0_1");
					put(grammarAccess.getClassDescriptionAccess().getInheritancesAssignment_14_2(), "rule__ClassDescription__InheritancesAssignment_14_2");
					put(grammarAccess.getClassDescriptionAccess().getInheritancesAssignment_14_3_1(), "rule__ClassDescription__InheritancesAssignment_14_3_1");
					put(grammarAccess.getClassDescriptionAccess().getIdentificationAssignment_15_1(), "rule__ClassDescription__IdentificationAssignment_15_1");
					put(grammarAccess.getClassDescriptionAccess().getCommentsAssignment_16_1(), "rule__ClassDescription__CommentsAssignment_16_1");
					put(grammarAccess.getPropertyAccess().getNameAssignment_2(), "rule__Property__NameAssignment_2");
					put(grammarAccess.getPropertyAccess().getMandatoryAssignment_4_1(), "rule__Property__MandatoryAssignment_4_1");
					put(grammarAccess.getPropertyAccess().getDescriptionAssignment_5_1(), "rule__Property__DescriptionAssignment_5_1");
					put(grammarAccess.getPropertyAccess().getDefaultPropValueAssignment_6_2(), "rule__Property__DefaultPropValueAssignment_6_2");
					put(grammarAccess.getPropertyAccess().getDefaultPropValueAssignment_6_3_1(), "rule__Property__DefaultPropValueAssignment_6_3_1");
					put(grammarAccess.getPropertyAccess().getTypeAssignment_7_1(), "rule__Property__TypeAssignment_7_1");
					put(grammarAccess.getPropertyAccess().getStatusAssignment_8_1(), "rule__Property__StatusAssignment_8_1");
					put(grammarAccess.getCommandAccess().getNameAssignment_2(), "rule__Command__NameAssignment_2");
					put(grammarAccess.getCommandAccess().getDescriptionAssignment_4_1(), "rule__Command__DescriptionAssignment_4_1");
					put(grammarAccess.getCommandAccess().getExecMethodAssignment_5_1(), "rule__Command__ExecMethodAssignment_5_1");
					put(grammarAccess.getCommandAccess().getDisplayLevelAssignment_6_0_1(), "rule__Command__DisplayLevelAssignment_6_0_1");
					put(grammarAccess.getCommandAccess().getPolledPeriodAssignment_7_1(), "rule__Command__PolledPeriodAssignment_7_1");
					put(grammarAccess.getCommandAccess().getIsDynamicAssignment_8_1(), "rule__Command__IsDynamicAssignment_8_1");
					put(grammarAccess.getCommandAccess().getExcludedStatesAssignment_9_2(), "rule__Command__ExcludedStatesAssignment_9_2");
					put(grammarAccess.getCommandAccess().getExcludedStatesAssignment_9_3_1(), "rule__Command__ExcludedStatesAssignment_9_3_1");
					put(grammarAccess.getCommandAccess().getArginAssignment_10_1(), "rule__Command__ArginAssignment_10_1");
					put(grammarAccess.getCommandAccess().getArgoutAssignment_11_1(), "rule__Command__ArgoutAssignment_11_1");
					put(grammarAccess.getCommandAccess().getStatusAssignment_12_1(), "rule__Command__StatusAssignment_12_1");
					put(grammarAccess.getAttributeAccess().getNameAssignment_2(), "rule__Attribute__NameAssignment_2");
					put(grammarAccess.getAttributeAccess().getAttTypeAssignment_4_1(), "rule__Attribute__AttTypeAssignment_4_1");
					put(grammarAccess.getAttributeAccess().getRwTypeAssignment_5_1(), "rule__Attribute__RwTypeAssignment_5_1");
					put(grammarAccess.getAttributeAccess().getDisplayLevelAssignment_6_1(), "rule__Attribute__DisplayLevelAssignment_6_1");
					put(grammarAccess.getAttributeAccess().getPolledPeriodAssignment_7_1(), "rule__Attribute__PolledPeriodAssignment_7_1");
					put(grammarAccess.getAttributeAccess().getMaxXAssignment_8_1(), "rule__Attribute__MaxXAssignment_8_1");
					put(grammarAccess.getAttributeAccess().getMaxYAssignment_9_1(), "rule__Attribute__MaxYAssignment_9_1");
					put(grammarAccess.getAttributeAccess().getAssociatedAttrAssignment_10_1(), "rule__Attribute__AssociatedAttrAssignment_10_1");
					put(grammarAccess.getAttributeAccess().getMemorizedAssignment_11_1(), "rule__Attribute__MemorizedAssignment_11_1");
					put(grammarAccess.getAttributeAccess().getMemorizedAtInitAssignment_12_1(), "rule__Attribute__MemorizedAtInitAssignment_12_1");
					put(grammarAccess.getAttributeAccess().getAllocReadMemberAssignment_13_1(), "rule__Attribute__AllocReadMemberAssignment_13_1");
					put(grammarAccess.getAttributeAccess().getIsDynamicAssignment_14_1(), "rule__Attribute__IsDynamicAssignment_14_1");
					put(grammarAccess.getAttributeAccess().getEnumLabelsAssignment_15_2(), "rule__Attribute__EnumLabelsAssignment_15_2");
					put(grammarAccess.getAttributeAccess().getEnumLabelsAssignment_15_3_1(), "rule__Attribute__EnumLabelsAssignment_15_3_1");
					put(grammarAccess.getAttributeAccess().getReadExcludedStatesAssignment_16_2(), "rule__Attribute__ReadExcludedStatesAssignment_16_2");
					put(grammarAccess.getAttributeAccess().getReadExcludedStatesAssignment_16_3_1(), "rule__Attribute__ReadExcludedStatesAssignment_16_3_1");
					put(grammarAccess.getAttributeAccess().getWriteExcludedStatesAssignment_17_2(), "rule__Attribute__WriteExcludedStatesAssignment_17_2");
					put(grammarAccess.getAttributeAccess().getWriteExcludedStatesAssignment_17_3_1(), "rule__Attribute__WriteExcludedStatesAssignment_17_3_1");
					put(grammarAccess.getAttributeAccess().getDataTypeAssignment_18_1(), "rule__Attribute__DataTypeAssignment_18_1");
					put(grammarAccess.getAttributeAccess().getChangeEventAssignment_19_1(), "rule__Attribute__ChangeEventAssignment_19_1");
					put(grammarAccess.getAttributeAccess().getArchiveEventAssignment_20_1(), "rule__Attribute__ArchiveEventAssignment_20_1");
					put(grammarAccess.getAttributeAccess().getDataReadyEventAssignment_21_1(), "rule__Attribute__DataReadyEventAssignment_21_1");
					put(grammarAccess.getAttributeAccess().getStatusAssignment_22_1(), "rule__Attribute__StatusAssignment_22_1");
					put(grammarAccess.getAttributeAccess().getPropertiesAssignment_23_1(), "rule__Attribute__PropertiesAssignment_23_1");
					put(grammarAccess.getAttributeAccess().getEventCriteriaAssignment_24_1(), "rule__Attribute__EventCriteriaAssignment_24_1");
					put(grammarAccess.getAttributeAccess().getEvArchiveCriteriaAssignment_25_1(), "rule__Attribute__EvArchiveCriteriaAssignment_25_1");
					put(grammarAccess.getForwardedAttributeAccess().getNameAssignment_2(), "rule__ForwardedAttribute__NameAssignment_2");
					put(grammarAccess.getForwardedAttributeAccess().getLabelAssignment_4_1(), "rule__ForwardedAttribute__LabelAssignment_4_1");
					put(grammarAccess.getForwardedAttributeAccess().getStatusAssignment_5_1(), "rule__ForwardedAttribute__StatusAssignment_5_1");
					put(grammarAccess.getPipeAccess().getNameAssignment_2(), "rule__Pipe__NameAssignment_2");
					put(grammarAccess.getPipeAccess().getDescriptionAssignment_4_1(), "rule__Pipe__DescriptionAssignment_4_1");
					put(grammarAccess.getPipeAccess().getLabelAssignment_5_1(), "rule__Pipe__LabelAssignment_5_1");
					put(grammarAccess.getPipeAccess().getRwTypeAssignment_6_1(), "rule__Pipe__RwTypeAssignment_6_1");
					put(grammarAccess.getPipeAccess().getDisplayLevelAssignment_7_0_1(), "rule__Pipe__DisplayLevelAssignment_7_0_1");
					put(grammarAccess.getPipeAccess().getReadExcludedStatesAssignment_8_2(), "rule__Pipe__ReadExcludedStatesAssignment_8_2");
					put(grammarAccess.getPipeAccess().getReadExcludedStatesAssignment_8_3_1(), "rule__Pipe__ReadExcludedStatesAssignment_8_3_1");
					put(grammarAccess.getPipeAccess().getWriteExcludedStatesAssignment_9_2(), "rule__Pipe__WriteExcludedStatesAssignment_9_2");
					put(grammarAccess.getPipeAccess().getWriteExcludedStatesAssignment_9_3_1(), "rule__Pipe__WriteExcludedStatesAssignment_9_3_1");
					put(grammarAccess.getStateAccess().getNameAssignment_2(), "rule__State__NameAssignment_2");
					put(grammarAccess.getStateAccess().getDescriptionAssignment_4_1(), "rule__State__DescriptionAssignment_4_1");
					put(grammarAccess.getStateAccess().getStatusAssignment_5_1(), "rule__State__StatusAssignment_5_1");
					put(grammarAccess.getPreferencesAccess().getDocHomeAssignment_3_1(), "rule__Preferences__DocHomeAssignment_3_1");
					put(grammarAccess.getPreferencesAccess().getMakefileHomeAssignment_4_1(), "rule__Preferences__MakefileHomeAssignment_4_1");
					put(grammarAccess.getPreferencesAccess().getInstallHomeAssignment_5_1(), "rule__Preferences__InstallHomeAssignment_5_1");
					put(grammarAccess.getPreferencesAccess().getHtmlVersionAssignment_6_1(), "rule__Preferences__HtmlVersionAssignment_6_1");
					put(grammarAccess.getAdditionalFileAccess().getNameAssignment_2(), "rule__AdditionalFile__NameAssignment_2");
					put(grammarAccess.getAdditionalFileAccess().getPathAssignment_4_1(), "rule__AdditionalFile__PathAssignment_4_1");
					put(grammarAccess.getOverlodedPollPeriodObjectAccess().getNameAssignment_2(), "rule__OverlodedPollPeriodObject__NameAssignment_2");
					put(grammarAccess.getOverlodedPollPeriodObjectAccess().getTypeAssignment_4_1(), "rule__OverlodedPollPeriodObject__TypeAssignment_4_1");
					put(grammarAccess.getOverlodedPollPeriodObjectAccess().getPollPeriodAssignment_5_1(), "rule__OverlodedPollPeriodObject__PollPeriodAssignment_5_1");
					put(grammarAccess.getInheritanceAccess().getClassnameAssignment_3_1(), "rule__Inheritance__ClassnameAssignment_3_1");
					put(grammarAccess.getInheritanceAccess().getSourcePathAssignment_4_1(), "rule__Inheritance__SourcePathAssignment_4_1");
					put(grammarAccess.getClassIdentificationAccess().getContactAssignment_3_1(), "rule__ClassIdentification__ContactAssignment_3_1");
					put(grammarAccess.getClassIdentificationAccess().getAuthorAssignment_4_1(), "rule__ClassIdentification__AuthorAssignment_4_1");
					put(grammarAccess.getClassIdentificationAccess().getEmailDomainAssignment_5_1(), "rule__ClassIdentification__EmailDomainAssignment_5_1");
					put(grammarAccess.getClassIdentificationAccess().getClassFamilyAssignment_6_1(), "rule__ClassIdentification__ClassFamilyAssignment_6_1");
					put(grammarAccess.getClassIdentificationAccess().getSiteSpecificAssignment_7_1(), "rule__ClassIdentification__SiteSpecificAssignment_7_1");
					put(grammarAccess.getClassIdentificationAccess().getPlatformAssignment_8_1(), "rule__ClassIdentification__PlatformAssignment_8_1");
					put(grammarAccess.getClassIdentificationAccess().getBusAssignment_9_1(), "rule__ClassIdentification__BusAssignment_9_1");
					put(grammarAccess.getClassIdentificationAccess().getManufacturerAssignment_10_1(), "rule__ClassIdentification__ManufacturerAssignment_10_1");
					put(grammarAccess.getClassIdentificationAccess().getReferenceAssignment_11_1(), "rule__ClassIdentification__ReferenceAssignment_11_1");
					put(grammarAccess.getClassIdentificationAccess().getKeyWordsAssignment_12_2(), "rule__ClassIdentification__KeyWordsAssignment_12_2");
					put(grammarAccess.getClassIdentificationAccess().getKeyWordsAssignment_12_3_1(), "rule__ClassIdentification__KeyWordsAssignment_12_3_1");
					put(grammarAccess.getCommentsAccess().getCommandsTableAssignment_3_1(), "rule__Comments__CommandsTableAssignment_3_1");
					put(grammarAccess.getInheritanceStatusAccess().getAbstractAssignment_3_1(), "rule__InheritanceStatus__AbstractAssignment_3_1");
					put(grammarAccess.getInheritanceStatusAccess().getInheritedAssignment_4_1(), "rule__InheritanceStatus__InheritedAssignment_4_1");
					put(grammarAccess.getInheritanceStatusAccess().getConcreteAssignment_5_1(), "rule__InheritanceStatus__ConcreteAssignment_5_1");
					put(grammarAccess.getInheritanceStatusAccess().getConcreteHereAssignment_6_1(), "rule__InheritanceStatus__ConcreteHereAssignment_6_1");
					put(grammarAccess.getInheritanceStatusAccess().getHasChangedAssignment_7_1(), "rule__InheritanceStatus__HasChangedAssignment_7_1");
					put(grammarAccess.getArgumentAccess().getDescriptionAssignment_3_1(), "rule__Argument__DescriptionAssignment_3_1");
					put(grammarAccess.getArgumentAccess().getTypeAssignment_4_1(), "rule__Argument__TypeAssignment_4_1");
					put(grammarAccess.getFireEventsAccess().getFireAssignment_3_1(), "rule__FireEvents__FireAssignment_3_1");
					put(grammarAccess.getFireEventsAccess().getLibCheckCriteriaAssignment_4_1(), "rule__FireEvents__LibCheckCriteriaAssignment_4_1");
					put(grammarAccess.getAttrPropertiesAccess().getDescriptionAssignment_3_1(), "rule__AttrProperties__DescriptionAssignment_3_1");
					put(grammarAccess.getAttrPropertiesAccess().getLabelAssignment_4_1(), "rule__AttrProperties__LabelAssignment_4_1");
					put(grammarAccess.getAttrPropertiesAccess().getUnitAssignment_5_1(), "rule__AttrProperties__UnitAssignment_5_1");
					put(grammarAccess.getAttrPropertiesAccess().getStandardUnitAssignment_6_1(), "rule__AttrProperties__StandardUnitAssignment_6_1");
					put(grammarAccess.getAttrPropertiesAccess().getDisplayUnitAssignment_7_1(), "rule__AttrProperties__DisplayUnitAssignment_7_1");
					put(grammarAccess.getAttrPropertiesAccess().getFormatAssignment_8_1(), "rule__AttrProperties__FormatAssignment_8_1");
					put(grammarAccess.getAttrPropertiesAccess().getMaxValueAssignment_9_1(), "rule__AttrProperties__MaxValueAssignment_9_1");
					put(grammarAccess.getAttrPropertiesAccess().getMinValueAssignment_10_1(), "rule__AttrProperties__MinValueAssignment_10_1");
					put(grammarAccess.getAttrPropertiesAccess().getMaxAlarmAssignment_11_1(), "rule__AttrProperties__MaxAlarmAssignment_11_1");
					put(grammarAccess.getAttrPropertiesAccess().getMinAlarmAssignment_12_1(), "rule__AttrProperties__MinAlarmAssignment_12_1");
					put(grammarAccess.getAttrPropertiesAccess().getMaxWarningAssignment_13_1(), "rule__AttrProperties__MaxWarningAssignment_13_1");
					put(grammarAccess.getAttrPropertiesAccess().getMinWarningAssignment_14_1(), "rule__AttrProperties__MinWarningAssignment_14_1");
					put(grammarAccess.getAttrPropertiesAccess().getDeltaTimeAssignment_15_1(), "rule__AttrProperties__DeltaTimeAssignment_15_1");
					put(grammarAccess.getAttrPropertiesAccess().getDeltaValueAssignment_16_1(), "rule__AttrProperties__DeltaValueAssignment_16_1");
					put(grammarAccess.getEventCriteriaAccess().getRelChangeAssignment_3_1(), "rule__EventCriteria__RelChangeAssignment_3_1");
					put(grammarAccess.getEventCriteriaAccess().getAbsChangeAssignment_4_1(), "rule__EventCriteria__AbsChangeAssignment_4_1");
					put(grammarAccess.getEventCriteriaAccess().getPeriodAssignment_5_1(), "rule__EventCriteria__PeriodAssignment_5_1");
					put(grammarAccess.getOneClassSimpleDefAccess().getClassnameAssignment_3_1(), "rule__OneClassSimpleDef__ClassnameAssignment_3_1");
					put(grammarAccess.getOneClassSimpleDefAccess().getSourcePathAssignment_4_1(), "rule__OneClassSimpleDef__SourcePathAssignment_4_1");
					put(grammarAccess.getOneClassSimpleDefAccess().getHasDynamicAssignment_5_1(), "rule__OneClassSimpleDef__HasDynamicAssignment_5_1");
					put(grammarAccess.getOneClassSimpleDefAccess().getPogo6Assignment_6_1(), "rule__OneClassSimpleDef__Pogo6Assignment_6_1");
					put(grammarAccess.getOneClassSimpleDefAccess().getParentClassesAssignment_7_2(), "rule__OneClassSimpleDef__ParentClassesAssignment_7_2");
					put(grammarAccess.getOneClassSimpleDefAccess().getParentClassesAssignment_7_3_1(), "rule__OneClassSimpleDef__ParentClassesAssignment_7_3_1");
					put(grammarAccess.getOneClassSimpleDefAccess().getInheritancesAssignment_8_2(), "rule__OneClassSimpleDef__InheritancesAssignment_8_2");
					put(grammarAccess.getOneClassSimpleDefAccess().getInheritancesAssignment_8_3_1(), "rule__OneClassSimpleDef__InheritancesAssignment_8_3_1");
					put(grammarAccess.getOneClassSimpleDefAccess().getAdditionalFilesAssignment_9_2(), "rule__OneClassSimpleDef__AdditionalFilesAssignment_9_2");
					put(grammarAccess.getOneClassSimpleDefAccess().getAdditionalFilesAssignment_9_3_1(), "rule__OneClassSimpleDef__AdditionalFilesAssignment_9_3_1");
				}
			};
		}
		return nameMappings.get(element);
	}
			
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}

	public PogoDslGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(PogoDslGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
